Loading...
Searching...
No Matches
Call logging and monitoring
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector » Wav audio support » Caller id
Collaboration diagram for Call logging and monitoring:

## Functions

void WINAPI | vpb_log_to_file (VPBPortHandle h, const std::string &filename)
| Log full duplex audio from handle h to filename.
void WINAPI | vpb_log_terminate (VPBPortHandle h)
| Stop full duplex logging on handle h.
void WINAPI | vpb_monitor_audio (VPBPortHandle dest, VPBPortHandle src)
| Tap full duplex audio from src to dest.
void WINAPI | vpb_monitor_terminate (VPBPortHandle h)
| Cancel a tap to handle h created with `vpb_monitor_audio()`.

## Detailed Description

These functions are only applicable to hardware using the VTCore driver.

For best results with them, OpenPCI hardware is recommended. Due to on-board buffering, some loss of synchronisation between incoming and outgoing streams is likely to occur with OpenSwitch cards.

## Function Documentation

## vpb_monitor_terminate()

void WINAPI vpb_monitor_terminate | ( | VPBPortHandle | h | ) |

Cancel a tap to handle h created with `vpb_monitor_audio()`.

Parameters

  h | Is the handle that was passed as the dest parameter when the tap was created.

References VPBREG::hostdsp, HostDSP::UNListen(), and vpb_c.

Referenced by vpb_reset().